com.smartgwt.client.types

## Enum DataLineType

- java.lang.Object
- - java.lang.Enum<DataLineType>
  - - com.smartgwt.client.types.DataLineType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DataLineType>

      public enum DataLineType
      extends java.lang.Enum<DataLineType>
      implements ValueEnum

  Algorithms for drawing lines between points.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SMOOTH` smooth spline curve between points that are adjacent in the dataset
    `STRAIGHT` simple straight lines between points that are adjacent in the dataset

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DataLineType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataLineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRAIGHT

          public static final DataLineType STRAIGHT

      simple straight lines between points that are adjacent in the dataset

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "straight".

    - #### SMOOTH

          public static final DataLineType SMOOTH

      smooth spline curve between points that are adjacent in the dataset

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "smooth".

  - ### Method Detail

    - #### values

          public static DataLineType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataLineType c : DataLineType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataLineType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`